PrettyPrintJSONWriter (Grails 3.2.7)
Date: 2017-03-06

Package: org.grails.web.json

## [Java] Class PrettyPrintJSONWriter

- org.grails.web.json.PrettyPrintJSONWriter

- A JSONWriter dedicated to create indented/pretty printed output.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_INDENT_STR` |
    `static java.lang.String` | `NEWLINE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JSONWriter` | `comma, mode, writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrettyPrintJSONWriter (java.io.Writer w)`
    `PrettyPrintJSONWriter (java.io.Writer w, java.lang.String indentStr)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected JSONWriter` | `append(groovy.lang.Writable writableValue)`
    `JSONWriter` | `array()`
    `protected JSONWriter` | `end(Mode m, char c)`
    `JSONWriter` | `endArray()`
    `JSONWriter` | `endObject()`
    `JSONWriter` | `key(java.lang.String s)`
    `JSONWriter` | `object()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JSONWriter` | `append, append, array, comma, end, endArray, endObject, key, object, pop, push, value, value, value, value, value, valueNull`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_INDENT_STR

    - #### public static final java.lang.String NEWLINE

  - ### Constructor Detail

    - #### public PrettyPrintJSONWriter(java.io.Writer w)

    - #### public PrettyPrintJSONWriter(java.io.Writer w, java.lang.String indentStr)

  - ### Method Detail

    - #### @java.lang.Override protected JSONWriter append(groovy.lang.Writable writableValue)

    - #### @java.lang.Override public JSONWriter array()

    - #### @java.lang.Override protected JSONWriter end(Mode m, char c)

    - #### @java.lang.Override public JSONWriter endArray()

    - #### @java.lang.Override public JSONWriter endObject()

    - #### @java.lang.Override public JSONWriter key(java.lang.String s)

    - #### @java.lang.Override public JSONWriter object()